<script>
import plv from "./pages3/static/polyv-sdk/index";
// #ifdef H5
import vconsole from "vconsole";
// #endif
export default {
  onLaunch: function (option) {
    let inviteCode = option.inviteCode;
    if (inviteCode && inviteCode != "") {
      console.log(inviteCode);
      uni.setStorageSync("inviteCode", inviteCode);
    }
    console.log(plv);
    plv.setApp({
      apiId: "ezl5uy4zei",
      apiSecret: "2bf5bb3c31d34531943df10284edd50b",
    });
    this.$store.dispatch('getConfig')
  },
  methods: {},
  onShow: function (option) {
    this.$store.commit("setScene", option.scene || 0);
    // #ifdef H5
    if (process.env.NODE_ENV === "development") {
      console.log("开发环境");
      const consoleObj = new vconsole();
    } else {
      // console.log('生产环境')
      // const consoleObj = new vconsole()
    }
    // #endif
  },
  onHide: function () {
    uni.$emit("playPause");
  },
};
</script>

<style lang="scss">
/*每个页面公共css */
@import "/iconfont/iconfont.css";
@import "uview-ui/index.scss";

button {
  background: none;
  overflow: auto;
}
</style>
